
Member Nodes - MNDeployment #6401

NM EPSCoR

2014-09-19 01:02 - Laura Moyers

Status: Operational Start date: 2015-04-02

Priority: Normal Due date:  

Assignee: Roger Dahl % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Latitude: 35.11 MN_Date_Online: 2015-05-27

Longitude: -106.61 Name:  

MN Description: The EPSCoR data collection provides

access to the full range of NM EPSCoR

program research data products. These

data include remote sensing, GIS, and

other geospatial data products;

experimental data including tabular data;

maps and photos; model/simulation data;

human subject survey data; analytic and

visualization tools; point-time-series

environmental observation data;

scanned historic documents; and

learning modules.

Logo URL:  

Base URL: http://www.nmepscor.org Date Upcoming:  

NodeIdentifier: urn:node:NMEPSCOR Date Deprecated:  

MN Tier: Tier 4 Information URL:  

Software stack: GMN Version:  

Description

This is the "new" MN, replacing EDAC (tier 1), with a tier 4 MN.  

POC Hays Barrett

Subtasks:

Task # 6991: NMEPSCoR: Show MN as "upcoming" on the dashboard Closed

Task # 6992: NMEPSCoR: Establish DataONE user identity in Production Closed

Task # 6993: NMEPSCoR: Configure SSL Certificates for Production Closed

Task # 6994: NMEPSCoR: Verify MN Content and Services in Production Closed

Task # 6995: NMEPSCoR: Register MN in Production Closed

Task # 6996: NMEPSCoR: Verify CN Content and Services in Production Closed

Task # 6997: NMEPSCoR: Check Authentication and Authorization in Production Closed

Task # 6998: NMEPSCoR: Mutual acceptance Closed

Task # 6999: NMEPSCoR: Ensure MN appears on Current MNs webpage (dashboard) Closed

Task # 7000: NMEPSCoR: Document and Announce Closed

Task # 8257: update urn:node:NMEPSCOR from GMN v1.2.10 to v2.4.1 Closed

Related issues:

Related to Member Nodes - MNDeployment #3221: EDAC member node Operational 2012-09-05 2013-08-01

Related to Infrastructure - Task #6394: Resolve SSL certificate connection er... New 2014-09-18

History

#1 - 2014-09-22 19:58 - Laura Moyers

- Status changed from New to Ready

- NodeIdentifier set to urn:node:NMEPSCOR
#2 - 2015-01-23 16:23 - Laura Moyers

- Target version changed from Deploy by end of Y1Q2 to Deploy by end of Y1Q3

#3 - 2015-01-24 00:05 - Mark Servilla

I spoke with Hays Barrett in person on Thursday 22 January to better understand the state of their MN in CN-SANDBOX.

Their MN is a GMN instance that initially had SSL certificate problems - these were mitigated in early Fall 2014 by Chris Jones and the

mnTestNMEPSCOR MN was subsequently registered and approved in CN-SANDBOX on 13 November 2014. We had no further contact with Hays

Barrett until 13 January 2015 when Hays requested assistance with the mnTestNMEPSCOR MN due to errant software processes related to

processing the replication queue and additional SSL errors - both errors occurred after Hays Barrett realized a mis-configuration in the GMN

settings_site.py, which caused the mnTestNMEPSCOR MN to remain in standalone mode. Changing the GMN to operate in network mode resulted in

the numerous "process_replication_queue" processes to occur that eventually result in system failure (the SSL errors were attributed to a network

failure of CN-SANDBOX accepting HTTPS connections).

The mnTestNMEPSCOR MN is also configured to run at Tier 4 with replication enabled. It appears that content has been replicated to the

mnTestNMEPSCOR MN from another MN (possibly KNB); replication occurred even though synchronization failed to occur to CN-SANDBOX for

mnTestNMEPSCOR. I recommended to Hays that it would perhaps be more efficient to ensure the mnTestNMEPSCOR MN operated correctly at Tier

3 prior to moving onto Tier 4; Hays agreed and decided to investigate redeploying a clean instance of GMN to test at Tier 3.

Today (23  January), only replicated content resides within the mnTestNMEPSCOR MN - all local content had been purged.

#4 - 2015-02-27 15:18 - Laura Moyers

- % Done changed from 0 to 50

- Assignee changed from Chris Jones to Mark Servilla

- Status changed from Ready to Testing

#5 - 2015-05-27 00:19 - Laura Moyers

- MN Description set to The EPSCoR data collection provides access to the full range of NM EPSCoR program research data products. These data

include remote sensing, GIS, and other geospatial data products; experimental data including tabular data; maps and photos; model/simulation data;

human subject survey data; analytic and visualization tools; point-time-series environmental observation data; scanned historic documents; and

learning modules.

- Base URL set to http://www.nmepscor.org/data_portal/browse-data

- Software stack set to GMN

Confirm that URL.

#6 - 2015-05-27 19:19 - Laura Moyers

- MN_Date_Online set to 2015-05-27

#7 - 2015-05-27 19:20 - Laura Moyers

- Target version changed from Deploy by end of Y1Q3 to Operational

- Status changed from Testing to Operational

Announced 5/27/15
#8 - 2015-08-17 14:10 - Laura Moyers

- Base URL changed from http://www.nmepscor.org/data_portal/browse-data to http://www.nmepscor.org

http://www.nmepscor.org/data_portal/browse-data is the data portal.

#9 - 2015-10-24 18:14 - Dave Vieglais

- Longitude changed from 106.61 to -106.61

#11 - 2018-01-09 21:01 - Dave Vieglais

- Sprint set to Ongoing Operational

#12 - 2018-01-29 20:00 - Mark Servilla

I've sent an email to Hays Barrett regarding the need to update urn:node:NMEPSCOR from GMN v1.2.10 to v2.4.1:

Hi Hays,

I notice that your version of GMN for urn:node:NMESPCOR is overdue for an upgrade (current GMN version is 2.4.1). Would you be available

this week or next to discuss strategies for performing an upgrade? Friday afternoon 2 February would work for me or sometime the week of 5

February?

Thanks,

Mark

 

Continue with Task #8257

#13 - 2018-02-07 02:06 - Monica Ihli

- Subject changed from NM EPSCoR  to NM EPSCoR

#14 - 2018-08-31 15:20 - Mark Servilla

- Assignee changed from Mark Servilla to Roger Dahl

#15 - 2019-02-14 21:56 - Amy Forrester

Update from Karl Benedict on State of NMEPSCoR:

From my discussion with Shirley Baros last year the current plan has been for EDAC to continue hosting the EPSCoR (and EDAC) member

nodes, though (unless they have changed things over the past 4 ½ years since I left EDAC) the EDAC node is probably still based on our

implementation of the original DataONE API on top of our home-grown data platform. 
